Set more hours for your business
curl --request POST \
--url https://api.partoo.co/v2/business/{business_id}/more_hours \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"more_hours": [
{
"gmb_id": "KITCHEN",
"value": {
"monday": [],
"tuesday": [],
"wednesday": [],
"thursday": [],
"friday": [],
"saturday": [
"08:00-15:00",
"18:00-23:00"
],
"sunday": [
"08:00-15:00",
"18:00-23:00"
]
}
},
{
"gmb_id": "BRUNCH",
"value": null
}
]
}
'import requests
url = "https://api.partoo.co/v2/business/{business_id}/more_hours"
payload = { "more_hours": [
{
"gmb_id": "KITCHEN",
"value": {
"monday": [],
"tuesday": [],
"wednesday": [],
"thursday": [],
"friday": [],
"saturday": ["08:00-15:00", "18:00-23:00"],
"sunday": ["08:00-15:00", "18:00-23:00"]
}
},
{
"gmb_id": "BRUNCH",
"value": None
}
] }
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
more_hours: [
{
gmb_id: 'KITCHEN',
value: {
monday: [],
tuesday: [],
wednesday: [],
thursday: [],
friday: [],
saturday: ['08:00-15:00', '18:00-23:00'],
sunday: ['08:00-15:00', '18:00-23:00']
}
},
{gmb_id: 'BRUNCH', value: null}
]
})
};
fetch('https://api.partoo.co/v2/business/{business_id}/more_hours', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"id": "545f7bf982efa41a496379d2"
}{
"errors": {
"json": {
"more_hours": [
"'foo' is not a valid gmb_id"
]
}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Businesses
Set more hours for your business
This endpoint allows you to set the More Hours for your business.
POST
/
business
/
{business_id}
/
more_hours
Set more hours for your business
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Business id.
It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.
Body
application/json
Array containing the more hours values to update. Grouped by More Hour ID. Only More Hour IDs included in the body will be updated.
Show child attributes
Show child attributes
Example:
[
{
"gmb_id": "KITCHEN",
"value": {
"monday": [],
"tuesday": [],
"wednesday": [],
"thursday": [],
"friday": [],
"saturday": ["08:00-15:00", "18:00-23:00"],
"sunday": ["08:00-15:00", "18:00-23:00"]
}
},
{ "gmb_id": "BRUNCH", "value": null }
]
Was this page helpful?
⌘I